package com.xkrs.model.entity;

import javax.persistence.*;
import java.io.Serializable;

/**
 * 全局配置字典表
 */
@Entity
@Table(name = "global_config_dict")
public class GlobalConfigDictEntity implements Serializable {

    /**
     * 主键id
     */
    @Id
    @GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "global_config_dict_seq_gen")
    @SequenceGenerator(name = "global_config_dict_seq_gen", sequenceName = "global_config_dict_id_seq", allocationSize = 1)
    private Long id;

    /**
     * 全局配置字典的编码
     */
    private Long code;

    /**
     * 全局配置字典的名称
     */
    private String name;

    /**
     * 全局配置字典的备注
     */
    private String remark;

    public GlobalConfigDictEntity() {
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getCode() {
        return code;
    }

    public void setCode(Long code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
}
