package com.xkrs.model.entity;

import javax.persistence.*;
import java.io.Serializable;

/**
 * 全局配置表
 */
@Entity
@Table(name = "global_setting")
public class GlobalSettingEntity implements Serializable {

    /**
     * 主键id
     */
    @Id
    @GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "global_setting_seq_gen")
    @SequenceGenerator(name = "global_setting_seq_gen", sequenceName = "global_setting_id_seq", allocationSize = 1)
    private Long id;

    /**
     * 全局配置项的键
     */
    private String key;

    /**
     * 全局配置项的值
     */
    private Long value;

    public GlobalSettingEntity() {
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public Long getValue() {
        return value;
    }

    public void setValue(Long value) {
        this.value = value;
    }
}
